/// <reference path="../../types.d.ts" />
import './preload-main';
import util, { MezzFileType, MqttStatus } from '../common/util';
import Ajax from '../common/ajax';
import error from '../common/error';
import MqttMain from './mqtt';
import * as Gc from '../gc.type';
/**
 * @用途
 * @author 黄敏
 * @创建时间 2022-08-02 15:15
 **/
type ValueOf<T> = T[keyof T];
declare global {
    namespace ff {
        type MezzFileType = ValueOf<typeof MezzFileType>;
        type MqttStatus = ValueOf<typeof MqttStatus>;
        namespace gc {
            type Client = Gc.Client;
            type Subscribes = Gc.Subscribes;
        }
    }
    var ff: {
        MqttStatus: typeof MqttStatus;
        MqttMain: typeof MqttMain;
        error: typeof error;
        util: typeof util;
        gc: ff.gc.Client;
        Ajax: typeof Ajax;
    };
}
export {};
