/**
 * @用途
 * @author 黄敏
 * @创建时间 2021-12-19 22:01
 **/
export interface MqttHandle {
    refreshStatus: () => void;
    subscribes: (tipics: string[], webContentId: number) => void;
    unsubscribes: (tipics: string[], webContentId: number) => void;
    removeClient: (webContentId: number) => void;
    onmessage: (on: (topic: string, message: any, isLocal?: boolean) => void) => void;
    localPublish: (topic: string, ...message: any) => void;
    publish: (topic: string, ...message: any) => void;
}
declare const mqttHandle: MqttHandle;
export default mqttHandle;
